Module | Rack::Handler
In: | lib/action_controller/vendor/rack-1.0/rack/handler/cgi.rb lib/action_controller/vendor/rack-1.0/rack/handler/evented_mongrel.rb lib/action_controller/vendor/rack-1.0/rack/handler/fastcgi.rb lib/action_controller/vendor/rack-1.0/rack/handler/lsws.rb lib/action_controller/vendor/rack-1.0/rack/handler/mongrel.rb lib/action_controller/vendor/rack-1.0/rack/handler/scgi.rb lib/action_controller/vendor/rack-1.0/rack/handler/swiftiplied_mongrel.rb lib/action_controller/vendor/rack-1.0/rack/handler/thin.rb lib/action_controller/vendor/rack-1.0/rack/handler/webrick.rb lib/action_controller/vendor/rack-1.0/rack/handler.rb

Handlers connect web servers with Rack.

Rack includes Handlers for Mongrel, WEBrick, FastCGI, CGI, SCGI and LiteSpeed.

Handlers usually are activated by calling `MyHandler.run(myapp)`. A second optional hash can be passed to include server-specific configuration.

### Methods

get register

### Classes and Modules

Class Rack::Handler::CGI
Class Rack::Handler::EventedMongrel
Class Rack::Handler::FastCGI
Class Rack::Handler::LSWS
Class Rack::Handler::Mongrel
Class Rack::Handler::SCGI
Class Rack::Handler::SwiftipliedMongrel
Class Rack::Handler::Thin
Class Rack::Handler::WEBrick

### Public Class methods

get(server)
register(server, klass)

[Validate]